Bug 301881 - inkscape filters depend on numpy, but numpy is not required by the RPM
inkscape filters depend on numpy, but numpy is not required by the RPM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 19:12 EDT by Joel Uckelman
Modified: 2009-01-07 13:09 EST (History)
0 users

See Also:
Fixed In Version: 0.45.1-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 14:57:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2007-09-22 19:12:26 EDT
Description of problem:

Some inkscape effects use Numerical Python, but the inkscape RPM does not claim
to require numpy. Without numpy installed, some effects fail with an error
message. With numpy installed, the effects work properly.

Version-Release number of selected component (if applicable):

inkscape-0.45.1-1.fc7

How reproducible:

Always

Steps to Reproduce:
1. Start inkscape.
1. Select Effects > Modify Path > Perspective.

Actual results:

An error dialog pops up, containing a Python traceback:

Traceback (most recent call last):
  File "/usr/share/inkscape/extensions/perspective.py", line 23, in <module>
    from numpy import *
ImportError: No module named numpy

Expected results:

The Perspective effect should run.
Comment 1 Joel Uckelman 2007-11-19 16:07:01 EST
Additionally, the Perspective effect also requires PyXML, so that should also be
listed as a requirement.
Comment 2 Lubomir Kundrak 2007-12-02 06:18:20 EST
Will be in inkscape-0.45.1-4. I could not find any other missing Requires for
python modules. I was under impression that something like find-requires also
works for python modules.
Comment 3 Lubomir Kundrak 2007-12-02 06:44:17 EST
Though this solves the issue for now, I'd rather prefer not adding dependencies.
I wonder if it is possible to reporte a module failure somehow more gracefully
to the user, so that he knows which package to install.
Comment 4 Fedora Update System 2007-12-03 06:39:12 EST
inkscape-0.45.1-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update inkscape'
Comment 5 Fedora Update System 2007-12-12 14:57:32 EST
inkscape-0.45.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.